=== debian/changelog ===
sagemath (7.4-9) unstable; urgency=medium

  * Update for dh-python 2.20170125.

 -- Ximin Luo <infinity0@debian.org>  Thu, 26 Jan 2017 01:16:15 +0100

sagemath (7.4-8) unstable; urgency=medium

  * Work around some testing issues on i386. (Closes: #852374)

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Jan 2017 16:08:28 +0100

sagemath (7.4-7) unstable; urgency=medium

  * Improve the state of post-install tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 22 Jan 2017 01:17:16 +0100

sagemath (7.4-6) unstable; urgency=medium

  * Only check dochtml.log for errors if we will actually build the doc
    packages. This helps to avoid FTBFS on low-memory arch-any buildds.

 -- Ximin Luo <infinity0@debian.org>  Mon, 09 Jan 2017 12:53:34 +0100

sagemath (7.4-5) unstable; urgency=medium

  [ Ximin Luo ]
  * Generate documentation reproducibly.
  * Set SYMPOW_CACHEDIR instead of HOME.
  * Depend on python-numpy (>= 1:1.12.0~rc2-1).

  [ Tobias Hansen ]
  * Rebuild against brial 0.8.5-4. (Closes: #849152)
  * Remove sagetex from Build-Depends and sagemath:Depends,
    add to sagemath:Recommends.
  * Change u1-version-pbori-boost1.62-hashes.patch:
    Also update hashes for 32 bit.

 -- Tobias Hansen <thansen@debian.org>  Sun, 08 Jan 2017 09:57:27 +0100

sagemath (7.4-4) unstable; urgency=medium

  * Add a temporary exception to the i386 testsuite to allow the build to pass.
    This allows us to artificially pass an intermediate deadline for the Debian
    stretch release schedule, which gives us more breathing space to fix this
    properly for the eventual deadline.

 -- Ximin Luo <infinity0@debian.org>  Fri, 23 Dec 2016 17:37:30 +0100

sagemath (7.4-3) unstable; urgency=medium

  * Fix separate arch-all vs arch-any builds.

 -- Ximin Luo <infinity0@debian.org>  Thu, 22 Dec 2016 12:31:41 +0100

sagemath (7.4-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Upload to unstable.
  * Move install paths to */sagemath/* instead of */sage/*.

 -- Ximin Luo <infinity0@debian.org>  Wed, 21 Dec 2016 02:53:07 +0100

sagemath (7.4-1) experimental; urgency=medium

  * Initial package. (Closes: #841136)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 Dec 2016 13:25:32 +0000
