=== debian/control ===
## DO NOT EDIT debian/control directly, edit debian/control.in instead
Source: sagemath
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Julien Puydt <julien.puydt@laposte.net>,
           Jerome Benoit <calculus@rezozer.net>,
           Ximin Luo <infinity0@debian.org>
Standards-Version: 3.9.8
X-Python-Version: 2.7
Homepage: http://www.sagemath.org/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagemath.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagemath.git
Build-Depends:
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.25),
 ecl (>= 15.3.7+dfsg1-2),
 eclib-tools (>= 20160720-1+b1),
 f2c,
 fflas-ffpack (>= 2.2.2),
 flintqs,
 gap-core (>= 4r8p6),
 gfan,
 gmp-ecm,
 ipython (>= 5.1.0-2),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-6+b1),
 less,
 libcdd-tools (>= 094h),
 libjs-mathjax,
 libsingular4-dev (>= 1:4.0.3-p3+ds-2),
 libsingular4-dev (<< 1:4.1),
 maxima-sage,
 maxima-sage-doc,
 maxima-sage-share,
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.9.0),
 pari-gp (>= 2.9.0),
 pari-galdata,
 pari-seadata,
 python,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports-shutil-get-terminal-size,
 python-backports.ssl-match-hostname,
 python-brial (>= 0.8.5),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cysignals-pari (>= 1.2.0+ds-2),
 python-decorator,
 python-docutils,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll,
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib,
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx,
 python-numpy (>= 1:1.12.0~rc2),
 python-openid,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 0.13),
 python-sagenb-export,
 python-scipy,
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zodb,
 python-zope.interface,
 r-cran-lattice,
 r-base-dev,
 rubiks,
 sagemath-database-conway-polynomials,
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.0.3-p3+ds-2),
 singular (<< 1:4.1),
 singular-doc (>= 1:4.0.3-p3+ds-2),
 singular-doc (<< 1:4.1),
 sqlite3,
 sympow (>= 1.023-8),
 tachyon,
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets,
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 autoconf,
 ccache <pkg.sagemath.ccache>,
 debhelper (>= 10),
 dh-python (>= 2.20170125),
 dpkg-dev (>= 1.17.14),
 gdb,
 git,
 gnutls-dev,
 libgap-sage-dev (>= 4.8.6),
 libatlas-base-dev,
 libblas-dev,
 libboost-dev (>= 1.55),
 libbrial-dev (>= 0.8.5-4),
 libbrial-groebner-dev (>= 0.8.5-4),
 libcdd-dev (>= 094h),
 libcliquer-dev,
 libec-dev (>= 20160720-1+b1),
 libecm-dev,
 libflint-arb-dev (>= 2.8.1-2),
 libflint-dev (>= 2.5.2-5+b2),
 libfplll-dev (>= 5.0.3),
 libfreetype6-dev,
 libgc-dev,
 libgcrypt11-dev,
 libgd2-noxpm-dev | libgd2-xpm-dev,
 libgf2x-dev,
 libgivaro-dev (>= 4.0.1-3),
 libglpk-dev,
 libgmp-dev (>= 2:5.1.2),
 libgpg-error-dev,
 libgsl-dev,
 libiml-dev,
 liblapack-dev,
 liblfunction-dev,
 liblinboxsage-dev (>= 1.4),
 liblrcalc-dev (>= 1.2-2),
 libm4ri-dev (>= 20130416),
 libm4rie-dev (>= 20130416),
 libmpc-dev (>=1.0),
 libmpfi-dev,
 libmpfr-dev,
 libntl-dev (>= 9.9.1-2),
 libopenblas-dev (>= 0.2.19),
 libpari-dev (>= 2.9.0),
 libplanarity-dev,
 libpng-dev,
 libppl-dev (>= 1:1.1),
 libpynac-dev (>= 0.2.6),
 libratpoints-dev,
 libreadline-dev,
 librw-dev,
 libsqlite3-dev,
 libsymmetrica-dev,
 libzn-poly-dev,
 pkg-config,
 python2.7-dev,
 scons,
 texlive-latex-base,
 zlib1g-dev,

Package: sagemath
Architecture: any
Multi-Arch: same
Description: Open Source Mathematical Software
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the main SageMath installation.
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.25),
 ecl (>= 15.3.7+dfsg1-2),
 eclib-tools (>= 20160720-1+b1),
 f2c,
 fflas-ffpack (>= 2.2.2),
 flintqs,
 gap-core (>= 4r8p6),
 gfan,
 gmp-ecm,
 ipython (>= 5.1.0-2),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-6+b1),
 less,
 libcdd-tools (>= 094h),
 libjs-mathjax,
 libsingular4-dev (>= 1:4.0.3-p3+ds-2),
 libsingular4-dev (<< 1:4.1),
 maxima-sage,
 maxima-sage-doc,
 maxima-sage-share,
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.9.0),
 pari-gp (>= 2.9.0),
 pari-galdata,
 pari-seadata,
 python,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports-shutil-get-terminal-size,
 python-backports.ssl-match-hostname,
 python-brial (>= 0.8.5),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cysignals-pari (>= 1.2.0+ds-2),
 python-decorator,
 python-docutils,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll,
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib,
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx,
 python-numpy (>= 1:1.12.0~rc2),
 python-openid,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 0.13),
 python-sagenb-export,
 python-scipy,
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zodb,
 python-zope.interface,
 r-cran-lattice,
 r-base-dev,
 rubiks,
 sagemath-database-conway-polynomials,
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.0.3-p3+ds-2),
 singular (<< 1:4.1),
 singular-doc (>= 1:4.0.3-p3+ds-2),
 singular-doc (<< 1:4.1),
 sqlite3,
 sympow (>= 1.023-8),
 tachyon,
 sagemath-common (= ${source:Version})
Recommends: sagemath-doc-en, sagemath-jupyter, sagetex, texlive-latex-base

Package: sagemath-common
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - architecture-independent files
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the architecture-independent files of SageMath.
Depends: ${misc:Depends}, ${python:Depends}

Package: sagemath-jupyter
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - Jupyter kernel
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the Jupyter kernel of SageMath.
Depends: ${misc:Depends},
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets,
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)

Package: sagemath-doc-hu
Architecture: all
Description: Open Source Mathematical Software - documentation (Hungarian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Hungarian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-it
Architecture: all
Description: Open Source Mathematical Software - documentation (Italian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Italian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-fr
Architecture: all
Description: Open Source Mathematical Software - documentation (French)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in French.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-ca
Architecture: all
Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
 SageMath is a free open-source mathematics software system licensed under the
