=== debian/watch ===
version=3
http://files.sagemath.org/src/index.html ./sage-([\d\.]+)\.tar\.gz
