## sagemath 7.6

=== debian/changelog ===
sagemath (7.6-3ubuntu3) artful; urgency=medium

  * debian/pruner: fix to look for python3 instead of python-3.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Aug 2017 23:42:09 -0700

sagemath (7.6-3ubuntu2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:34:00 +0000

sagemath (7.6-3ubuntu1) artful; urgency=medium

  * Adjoust the lcalc dependency to match ubuntu rebuilds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 10:24:27 +0200

sagemath (7.6-3) unstable; urgency=medium

  * New patches:
    - u0-sphinx-1.5.patch, upstream fixes for sphinx 1.5.
    - u1-more-sphinx-1.5-fixes.patch from Dmitry Shachnev. (Closes: #866166)
  * Use libgcrypt-dev instead of obsolete libgcrypt11-dev. (Closes: #864132)
  * Increase number of allowed test failures from 40 to 80.

 -- Tobias Hansen <thansen@debian.org>  Mon, 24 Jul 2017 10:14:09 +0100

sagemath (7.6-2) unstable; urgency=medium

  * Upload to unstable.
  * New patch u0-version-singular-4.1.0-p3.
  * Depend on singular (>= 1:4.1.0-p3).

 -- Tobias Hansen <thansen@debian.org>  Mon, 08 May 2017 14:31:50 +0100

sagemath (7.6-1) experimental; urgency=medium

  * New upstream version.
  * Broken symlinks to thebe.js were removed upstream. (Closes: #856866)
  * Reduce number of allowed test failures during build from 80 to 40.
  * New (Build-)Depends:
    - eclib (>= 20170122)
    - ecl (= 16.1.2)
    - maxima-sage (>= 5.39.0)
    - python3-dev
    - python-enum34
  * Remove patches (applied upstream):
    - u0-dont-test-glpk-version.patch
    - u0-fix-libgap-systemwide.patch
    - u0-fix-preexec-fn.patch
    - u0-singular-include-path-for-pynac.patch
    - u0-use-local-threejs.patch
    - u0-version-pari-2.9.patch
    - u0-version-pynac-0.7.4.patch
    - dt-version-singular-4-extra-fixes.patch
  * New patches:
    - dt-undo-trac-21267-sagenb-interacts-for-jupyter.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 03 Apr 2017 20:04:43 +0100

sagemath (7.5.1-1) experimental; urgency=medium

  * New upstream version.
  * Remove useless dependency on python-zodb. (Closes: #854926)
  * New (Build-)Depends:
    - libjs-three (>= 80)
    - singular (>= 1:4.1.0-p2)
    - pynac (>= 0.7.5)
    - giac
  * Remove patches (applied upstream):
    - u0-version-cython-0.25.patch
    - u0-version-glpk-4.60.patch
    - u0-version-pari-2.9-trac-21765.patch
    - u0-version-singular-4.patch
    - u0-distutils-fixes.patch
    - u0-timeit-python-2.7.11.patch
    - u1-version-pkgconfig.patch
  * Patches with non-trivial modifications:
    - u0-pip-nowarn.patch
    - u0-version-pari-2.9.patch
    - u2-allow-override-sage-local.patch
    - u2-fix-trivial-test-cases.patch
    - u2-fix-less-trivial-test-cases.patch
    - d0-arb.patch (patch acb_poly.pxd)
    - d0-gsl-cblas.patch (keep gslcblas in gsl_libs)
    - d0-pari.patch
    - d0-pari-stackwarn.patch
    - d0-paths-sharedata.patch
    - d0-paths.patch
    - d0-singular.patch
    - d1-install-paths.patch
    - d1-sage-env.patch (also patch env.py from here)
    - dt-disable-parallel-sphinx.patch
    - dt-more-fix-test-cases.patch (parts were applied upstream)
  * New patches:
    - u0-use-local-threejs.patch
    - u0-version-singular-4.1.0p2.patch
    - u0-version-pynac-0.7.4.patch
    - u1-singular-include-path-for-pynac.patch
    - u1-dont-test-glpk-version.patch

 -- Tobias Hansen <thansen@debian.org>  Fri, 17 Mar 2017 00:17:32 +0000
