=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Source: sagemath
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>,
            Julien Puydt <julien.puydt@laposte.net>,
            Jerome Benoit <calculus@rezozer.net>,
@@ -15,8 +16,9 @@
 Build-Depends:
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
  cython (>= 0.25),
- ecl (>= 15.3.7+dfsg1-2),
- eclib-tools (>= 20160720-1+b1),
+ ecl (>= 16.1.2),
+ ecl (<< 16.1.3),
+ eclib-tools (>= 20170122),
  f2c,
  fflas-ffpack (>= 2.2.2),
  flintqs,
@@ -26,15 +28,15 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6+b1),
+ lcalc (>= 1.23+dfsg-6build1),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
- libsingular4-dev (>= 1:4.0.3-p3+ds-2),
- libsingular4-dev (<< 1:4.1),
- maxima-sage,
- maxima-sage-doc,
- maxima-sage-share,
+ libjs-three (>= 80),
+ libsingular4-dev (>= 1:4.1.0-p3),
+ maxima-sage (>= 5.39.0),
+ maxima-sage-doc (>= 5.39.0),
+ maxima-sage-share (>= 5.39.0),
  nauty,
  octave,
  palp (>= 2.1-2),
@@ -43,6 +45,7 @@
  pari-galdata,
  pari-seadata,
  python,
+ python3-dev,
  python-alabaster,
  python-babel,
  python-backports-abc,
@@ -56,6 +59,7 @@
  python-cysignals-pari (>= 1.2.0+ds-2),
  python-decorator,
  python-docutils,
+ python-enum34,
  python-flask,
  python-flask-autoindex,
  python-flask-babel,
@@ -111,7 +115,6 @@
  python-wcwidth,
  python-werkzeug,
  python-zmq,
- python-zodb,
  python-zope.interface,
  r-cran-lattice,
  r-base-dev,
@@ -121,13 +124,12 @@
  sagemath-database-graphs,
  sagemath-database-mutually-combinatorial-designs,
  sagemath-database-polytopes,
- singular (>= 1:4.0.3-p3+ds-2),
- singular (<< 1:4.1),
- singular-doc (>= 1:4.0.3-p3+ds-2),
- singular-doc (<< 1:4.1),
+ singular (>= 1:4.1.0-p3),
+ singular-doc (>= 1:4.1.0-p3),
  sqlite3,
  sympow (>= 1.023-8),
  tachyon,
+ xcas,
  jupyter-client,
  jupyter-core,
  jupyter-nbextension-jupyter-js-widgets,
@@ -152,16 +154,17 @@
  libbrial-groebner-dev (>= 0.8.5-4),
  libcdd-dev (>= 094h),
  libcliquer-dev,
- libec-dev (>= 20160720-1+b1),
+ libec-dev (>= 20170122),
  libecm-dev,
  libflint-arb-dev (>= 2.8.1-2),
  libflint-dev (>= 2.5.2-5+b2),
  libfplll-dev (>= 5.0.3),
  libfreetype6-dev,
  libgc-dev,
- libgcrypt11-dev,
+ libgcrypt-dev,
  libgd2-noxpm-dev | libgd2-xpm-dev,
  libgf2x-dev,
+ libgiac-dev (>= 1.2.3.25+dfsg1-3),
  libgivaro-dev (>= 4.0.1-3),
  libglpk-dev,
  libgmp-dev (>= 2:5.1.2),
@@ -183,7 +186,7 @@
  libplanarity-dev,
  libpng-dev,
  libppl-dev (>= 1:1.1),
- libpynac-dev (>= 0.2.6),
+ libpynac-dev (>= 0.7.5),
  libratpoints-dev,
  libreadline-dev,
  librw-dev,
@@ -213,8 +216,9 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
  cython (>= 0.25),
- ecl (>= 15.3.7+dfsg1-2),
- eclib-tools (>= 20160720-1+b1),
+ ecl (>= 16.1.2),
+ ecl (<< 16.1.3),
+ eclib-tools (>= 20170122),
  f2c,
  fflas-ffpack (>= 2.2.2),
  flintqs,
@@ -224,15 +228,15 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6+b1),
+ lcalc (>= 1.23+dfsg-6build1),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
- libsingular4-dev (>= 1:4.0.3-p3+ds-2),
- libsingular4-dev (<< 1:4.1),
- maxima-sage,
- maxima-sage-doc,
- maxima-sage-share,
+ libjs-three (>= 80),
+ libsingular4-dev (>= 1:4.1.0-p3),
+ maxima-sage (>= 5.39.0),
+ maxima-sage-doc (>= 5.39.0),
+ maxima-sage-share (>= 5.39.0),
  nauty,
  octave,
  palp (>= 2.1-2),
@@ -241,6 +245,7 @@
  pari-galdata,
  pari-seadata,
  python,
+ python3-dev,
  python-alabaster,
  python-babel,
  python-backports-abc,
@@ -254,6 +259,7 @@
  python-cysignals-pari (>= 1.2.0+ds-2),
  python-decorator,
  python-docutils,
+ python-enum34,
  python-flask,
  python-flask-autoindex,
  python-flask-babel,
@@ -309,7 +315,6 @@
  python-wcwidth,
  python-werkzeug,
  python-zmq,
- python-zodb,
  python-zope.interface,
  r-cran-lattice,
  r-base-dev,
@@ -319,13 +324,12 @@
  sagemath-database-graphs,
  sagemath-database-mutually-combinatorial-designs,
  sagemath-database-polytopes,
- singular (>= 1:4.0.3-p3+ds-2),
- singular (<< 1:4.1),
- singular-doc (>= 1:4.0.3-p3+ds-2),
- singular-doc (<< 1:4.1),
+ singular (>= 1:4.1.0-p3),
+ singular-doc (>= 1:4.1.0-p3),
  sqlite3,
  sympow (>= 1.023-8),
  tachyon,
+ xcas,
  sagemath-common (= ${source:Version})
 Recommends: sagemath-doc-en, sagemath-jupyter, sagetex, texlive-latex-base
 
@@ -370,19 +374,19 @@
  python-notebook (>= 4.2.3-3),
  sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)
 
-Package: sagemath-doc-hu
-Architecture: all
-Description: Open Source Mathematical Software - documentation (Hungarian)
- SageMath is a free open-source mathematics software system licensed under the
- GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
- matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in Hungarian.
+Package: sagemath-doc-ca
+Architecture: all
+Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .
+ This package contains documentation in Catalan; Valencian.
  .
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
@@ -390,19 +394,19 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 
-Package: sagemath-doc-it
-Architecture: all
-Description: Open Source Mathematical Software - documentation (Italian)
- SageMath is a free open-source mathematics software system licensed under the
- GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
- matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in Italian.
+Package: sagemath-doc-de
+Architecture: all
+Description: Open Source Mathematical Software - documentation (German)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .
+ This package contains documentation in German.
  .
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
@@ -410,19 +414,19 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 
-Package: sagemath-doc-fr
-Architecture: all
-Description: Open Source Mathematical Software - documentation (French)
- SageMath is a free open-source mathematics software system licensed under the
- GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
- matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in French.
+Package: sagemath-doc-en
+Architecture: all
+Description: Open Source Mathematical Software - documentation (English)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .
+ This package contains documentation in English.
  .
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
@@ -430,7 +434,5 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 
-Package: sagemath-doc-ca
-Architecture: all
-Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
- SageMath is a free open-source mathematics software system licensed under the
+Package: sagemath-doc-es
+Architecture: all
